Salesly API
API Reference

List product categories

GET
/product-categories

Authorization

x-api-key<token>

Your tenant API key

In: header

Query Parameters

parent_idinteger

Filter by parent category ID. Omit or use 0 for root categories.

curl -X GET "https://rest.salesly.app/api/v1/developers/product-categories?parent_id=0" \
  -H "x-api-key: <token>"

List of categories

{
  "data": [
    {
      "id": 0,
      "name": "string",
      "reference": "string",
      "parent_id": 0,
      "has_products": true,
      "has_objectives": true,
      "children": [
        {
          "id": 0,
          "name": "string",
          "reference": "string",
          "parent_id": 0,
          "has_products": true,
          "has_objectives": true,
          "children": [],
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}